Family Care - Bug #2335

Open file - 2ed step (000000)
12/10/2020 02:55 PM - Saja Nakhleh
Issue #1:
1.the mandatory fields should marked by
Issue #1:

1. the mandatory fields are not marked as
mandatory and not validated so the user
can submit without filling them

2. 000000 000 accepts any data type.
evidence 21.gif

Issue #2:

1.an error message will be occurred that
requires to add records to (1000000000)
tab, even if the user clicks OK, the
message will stay occurring. evidence
15.gif

2. (1000000000) table is shown on the
000000 000)tab instead of
(0000000D00) tab

3. if the user clicks ok more 2 times an
error will be occurred as on evidence
19.gif ( as the task will not closed and
disappeared after the the submit or reject
actions !)

Issue #3:

the error message does not show the tab
that contains the mandatory fields.
evidence 18.jpg

Issue #4:

the error messages will be occurred once
the dialogue message is opened !!
evidence 22.gif

Issue #5:
the (1000000000) table will cover the

comments field. evidence 23.gif

Issue #6:

the empty records will be added to the
comments section although they will not
be accepted if the reject action is clicked !
evidences 24.gif and 25.gif
red stars

2.the (000000 0DD) field should accept
numbers and backslashes only i.e:
235/658

Issue #2:

the task should be submitted to the next
step

Issue #3:
the error message should be informative
and show the tab that contains the
mandatory fields

Issue #4:

the error messages should be ccurred
the user enter invalid data or if he keep
the mandatory fields empty

O =

Issue #5:
the (0000000000 table should not affect
the comments section

Issue #6:
the empty records should be prevented
the comments section

n

Description

Issue #1:

1. submit new Open file task

2. Pass the task to the 2ed step (I00000)

3. Observe mandatory field

(100000 0ooooo tab:

0000000

000000 ooo

10ooooo noooo 0oooo

4. il the 000000 OO0 with: Test12300000$!@

Issue #2:

1. submit new Open file task

2. Pass the task to the 2ed step (I00000)

3. fill all the mandatory fields including (J000000000) tab
4. DON'T click claim and JUST click submit

Issue #3:

1. submit new Open file task

2. Open the task on the 2ed step (100000)

3. Keep the mandatory fields empty and click Submit
4. Observe the occurred error message

Issue #4:
1. in table (000000000) click add

2. Observe the occurred error messages

Issue #5:
1. add 3 records in (UO00000000) table
2. Observe the comment section

Issue #6:

1. Click add new comment action
2. observe the added record

3. click Reject

History

#1 - 12/14/2020 02:52 PM - Saja Nakhleh
- File 18.GIF added
- File 19.GIF added

06/06/2025
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/5
http://mscjo.dynalias.com:8089/redmine/issues/6

- File 21.GIF added

- File 22.GIF added

- File 23.GIF added

- File 24.GIF added

- File 25.GIF added

- Description updated

- Assignee changed from Saja Nakhleh to Mohannad Sabra
- Expected Result updated

- Actual Result updated

#2 - 12/27/2020 10:21 AM - Mohannad Sabra

- Assignee changed from Mohannad Sabra to Musab Khuraisat

Dear Musab,

Kindly take action .

#3 - 02/22/2021 01:33 PM - Mohannad Sabra

- Assignee changed from Musab Khuraisat to Sewar Tahat

#4 - 02/23/2021 08:39 PM - Sewar Tahat
- Status changed from Open to Fixed

- Assignee changed from Sewar Tahat to Saja Nakhleh

#5 - 04/12/2021 01:11 PM - Saja Nakhleh
- File 87.GIF added
- Status changed from Fixed to Feedback

- Assignee changed from Saja Nakhleh to Sewar Tahat

Issue #1:
tested and verified.

Issue #2:
needs more business investigation with the client

Issue #3:
tested and verified.

Issue #4:
still duplicated

Issue #5:
tested and verified.

Issue #6:
Verified. the empty comments will be removed on the submission (core feature)

Islssue #7:

1. keep the (000000000D) table empty

2. Click delete and observe the occurred error as on evidence 87.gif
(the delete action should be disabled while the table is empty

06/06/2025
http://mscjo.dynalias.com:8089/redmine/issues/1
http://mscjo.dynalias.com:8089/redmine/issues/2
http://mscjo.dynalias.com:8089/redmine/issues/3
http://mscjo.dynalias.com:8089/redmine/issues/4
http://mscjo.dynalias.com:8089/redmine/issues/5
http://mscjo.dynalias.com:8089/redmine/issues/6
http://mscjo.dynalias.com:8089/redmine/issues/7

#6 - 04/12/2021 05:40 PM - Sewar Tahat
- Assignee changed from Sewar Tahat to Saja Nakhleh

Issue #6 (New Issue): Fixed.

#7 - 04/14/2021 02:44 PM - Saja Nakhleh
- Assignee changed from Saja Nakhleh to Sewar Tahat

Issue #4:
still duplicated.
https://www.loom.com/share/88ca82a5b3174054bb6b8527a4a28a98

ISsue #7:
tested and verified.

#8 - 04/15/2021 12:35 PM - Sewar Tahat
- Assignee changed from Sewar Tahat to Saja Nakhleh

Issue#4 >> Fixed.

#9 - 04/18/2021 06:21 PM - Saja Nakhleh
- Status changed from Feedback to Closed

issue #4 :
tested and verified.

Files

15.GIF 328 KB 12/10/2020 Saja Nakhleh
18.GIF 209 KB 12/14/2020 Saja Nakhleh
19.GIF 251 KB 12/14/2020 Saja Nakhleh
21.GIF 247 KB 12/14/2020 Saja Nakhleh
22.GIF 243 KB 12/14/2020 Saja Nakhleh
23.GIF 134 KB 12/14/2020 Saja Nakhleh
24.GIF 136 KB 12/14/2020 Saja Nakhleh
25.GIF 215 KB 12/14/2020 Saja Nakhleh
87.GIF 216 KB 04/12/2021 Saja Nakhleh
